#!/bin/bash

SCENARIO='rdor-te2-caso-estudio.xml'
echo $SCENARIO

function limpia () {

# Hacemos limpieza primero...
PIDS=$( ps uaxww | grep "sudo vnx" | grep -v grep | awk '{ print $2 }' )
if [ "$PIDS" ]; then
    echo "Matando procesos vnx:" $PIDS
    sudo kill -9 $PIDS
else
    echo "No hay procesos vnx"
fi

PIDS=$( ps uaxww | grep "comprueba-te2" | grep -v grep | awk '{ print $2 }' )
if [ "$PIDS" ]; then
    echo "Matando procesos comprueba-te2:" $PIDS
    sudo kill -9 $PIDS
else
    echo "No hay procesos comprueba-te2"
fi

PIDS=$( ps uaxww | grep "arranca-te2" | grep -v grep | awk '{ print $2 }' )
if [ "$PIDS" ]; then
    echo "Matando procesos arranca-te2:" $PIDS
    sudo kill -9 $PIDS
else
    echo "No hay procesos arranca-te2"
fi

PIDS=$( ps uaxww | grep "nmap" | grep -v grep | awk '{ print $2 }' )
if [ "$PIDS" ]; then
    echo "Matando procesos nmap:" $PIDS
    sudo kill -9 $PIDS
else
    echo "No hay procesos nmap"
fi

echo ""
echo "*** Finalizado ***"
}

limpia
sudo vnx -f $SCENARIO -P -D 
#( limpia; sudo vnx -f $SCENARIO -v -P -D ) | yad --text-info --tail --title 'Parando escenario RDOR te2...' --height 400 --width 800 --fontname="Monospace 7" --wrap &
